Can't install OpenWrt on TP-Link Archer A6 v 3.20

Hi,

I have TP-Link Archer A6 v 3.20 running latest TP-link software and I have tried to install latest snapshot from Jan 14th and latest stable version of factory OpenWrt image and I get following error:

Images - I always use factory image:

image
image

Guys can you help?

BR,

Marek

? Are you sure it is A6 revision 3.2?
If so,
I did not find any version 3.2 listed under supported hardware.

That model has versions 2, 3.20 and latest version 4. I have version 3.20 as also seen on screenshot of the error in my original message,

You'll be safer to wait until one of OpenWrt developers/contributors can comment.
Whether it is a typo regarding version 3.0 or whether 3.2 is not supported.
Unless someone already has direct experience with your router.

@MarekSuski you might want to check this thread: OpenWrt Firmware for Archer c6 v3.2

1 Like

@AcidSlide i asked on that thread and they asked me to continue to ask here.

Developers, can you help me to install your baby on my router?

You may find more details about A6 versions at Firmware compatibility with TP-Link Archer A6 v3 *CA version* - #8 by fastorange

I skimmed through the main Thread on the Archer C6/A6v3 and found this post - maybe it helps: OpenWrt Firmware for Archer c6 v3.2 - #418 by cint92

Best read the posts before and after that, too. And you do have the EU version, not CA or RU, right?

@timothyjward and @Nihilokrat thank you for your time and replies.

I have a version for Europe, and I am on the OpenWrt Firmware for Archer c6 v3.2 - #418 by cint92 already posting there questions but nobody can't help me :frowning:

Hi - I would stay off the C6 topics. The A6 is similar but different, and firmware can be extremely specific, right down to the flash layout. The A6 topics and this topic are more likely to give you an answer.

I can’t add anything more other than to say that the device page claims you can install directly from the TP Link UI. You may want to try 21.02.x which is the release that first added support.

@timothyjward what I found that A6 and C6 are the same but for different countries/ regions https://gavnit.com/posts-3106

Same issue here: unable to install firmware via stock Tp-Link web gui.

1 Like